الانتقال إلى المحتوى الرئيسي
POST
/
kling
/
v1
/
audio
/
tts
TTS
curl --request POST \
  --url https://api.cometapi.com/kling/v1/audio/tts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "Welcome to CometAPI!",
  "voice_id": "genshin_vindi2",
  "voice_language": "zh"
}
'
{}

TTS

توفر واجهة برمجة تطبيقات Kling TTS ‏(Text-to-Speech) خدمات تحويل النص إلى كلام بجودة عالية، مع دعم لغات متعددة وخيارات متنوعة للأصوات.

الوثائق المرجعية


المشكلات الشائعة

⚠️ خطأ Voice id not found

وصف المشكلة: عندما لا يتطابق voice_id مع voice_language، ستُرجع واجهة API الخطأ التالي:
{
  "message": "Voice id not found",
  "data": {
    "data": {
      "code": 1201,
      "message": "Voice id not found",
      "request_id": "ed47a82c-804b-45f3-bde9-926039cd25c0"
    },
    "message": "Voice id not found"
  }
}
الحل: يُرجى التأكد من أن voice_id المحدد يدعم voice_language الذي حددته. ارجع إلى قائمة Voice ID للتحقق من اللغات التي يدعمها كل Voice ID.

التفويضات

Authorization
string
header
مطلوب

Bearer token authentication. Use your CometAPI key.

الترويسات

Content-Type
string

Content type of the request body.

الجسم

application/json
text
string
افتراضي:Hello
مطلوب

Text to synthesize into speech. Max 1000 characters.

voice_id
string
افتراضي:example
مطلوب

Voice preset ID. Determines the speaker voice used for synthesis. See the Kling documentation for available voice IDs and their supported languages.

voice_language
string
افتراضي:example
مطلوب

Language of the selected voice. Must match the language supported by the chosen voice_id. Values: zh (Chinese) or en (English).

voice_speed
number

Speech rate multiplier. Range 0.8–2.0 (one decimal place). Values outside this range are clamped automatically.

الاستجابة

200 - application/json

Success

The response is of type object.